Skip to main content
POST
Submit user OTP
For a complete guide on response codes and transaction statuses, see Response Codes.

Authorizations

Authorization
string
header
required

Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. Both methods return an access token. Send it in the Authorization header: Authorization: Bearer <access_token>.

Body

application/json

Submit User OTP

orderReference
string
required

order reference

Example:

"c4307d58-2513-41d8-b7f7-dfecd5f9fdbe"

phoneNumber
string
required

customer's phone number

Example:

"08012345678"

otp
string
required

otp send to the customer's mobile phone

Example:

"1234"

Response

OK - your request was successful.

code
string
required

Response Code

Example:

"00"

description
string
required

Response description

Example:

"Success"

data
object
required